Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07795 Debugger Minor Always Nov 23, 2020, 04:35 Feb 16, 2021, 04:42
Tester AJR View Status Public Platform MAME (Self-compiled)
Assigned To cuavas Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver
Version 0.226 Fixed in Version 0.229 Build 64-bit
Fixed in Git Commit 86666f3 Github Pull Request #
Summary 07795: Qt debugger: Disassembly view glitch on bottom line
Description By manipulating GUI controls, the Qt disassembly view will display an extra line of missing character symbols or a line duplicating the disassembly of a random earlier instruction.
Steps To Reproduce Launch any driver with -debug, then move the scroll bar to the bottom on either the "dasm" part of the main window or a separate disassembly viewer, then click and drag the widget's bottom downward. Sometimes the phantom line will appear on its own. Clicking on the phantom line will cause the line above it to self-replicate. This likely reflects a buffer overrun of some sort.
Additional Information This is almost certainly specific to the Qt debugger. The OS X debugger is not similarly affected.
Github Commit
Flags
Regression Version
Affected Sets / Systems Qt debugger
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.18182
Osso
Developer
Nov 27, 2020, 08:37
Confirmed using the QT debugger on a Windows build
User avatar
No.18416
cuavas
Administrator
Jan 28, 2021, 13:55
Fixed in 86666f388eb8ee809a953e320acb828f2bd574c1. It was actually a core issue with it setting the origin to an out-of-range position. It’s masked in the macOS and Windows debuggers by other stuff they do on a view update.